LibreOffice LibreOffice 6.2 SDK API Reference

Variables
com::sun::star::report::GroupOn Constant Group Reference

Specifies how to group data. More...

## Variables
const short | DEFAULT = 0
| The same value in the column value or expression. More...
const short | PREFIX_CHARACTERS = 1
| The same first nth of characters in the column value or expression. More...
const short | YEAR = 2
| Dates in the same calendar year. More...
const short | QUARTAL = 3
| Dates in the same calendar quarter. More...
const short | MONTH = 4
| Dates in the same month. More...
const short | WEEK = 5
| Dates in the same week. More...
const short | DAY = 6
| Dates on the same date. More...
const short | HOUR = 7
| Times in the same hour. More...
const short | MINUTE = 8
| Times in the same minute. More...
const short | INTERVAL = 9
| Values within an interval you specify. More...

## Detailed Description

Specifies how to group data.

See also
  XGroup

## Variable Documentation

## ◆ DAY

const short DAY = 6

Dates on the same date.

## ◆ DEFAULT

const short DEFAULT = 0

The same value in the column value or expression.

## ◆ HOUR

const short HOUR = 7

Times in the same hour.

## ◆ INTERVAL

const short INTERVAL = 9

Values within an interval you specify.

## ◆ MINUTE

const short MINUTE = 8

Times in the same minute.

## ◆ MONTH

const short MONTH = 4

Dates in the same month.

## ◆ PREFIX_CHARACTERS

const short PREFIX_CHARACTERS = 1

The same first nth of characters in the column value or expression.

## ◆ QUARTAL

const short QUARTAL = 3

Dates in the same calendar quarter.

## ◆ WEEK

const short WEEK = 5

Dates in the same week.

## ◆ YEAR

const short YEAR = 2

Dates in the same calendar year.